Skip to content
Kapten
Esc
↑↓navigate↵open⌘Jpreview

Sync a cluster

Runs the cluster’s setup again, as when it was connected.

POST/cluster/{cluster_id}/sync
Authorization
AuthorizationBearer token (JWT) · headerrequired

JWT token passed in the Authorization header using the Bearer <token> format.

Path parameters
cluster_iduuidrequired

The unique identifier of the cluster

Responses
200

Cluster sync scheduled successfully

iduuidrequired

A universally unique identifier (UUID) string

organization_iduuidrequired

A universally unique identifier (UUID) string

namestringrequired

The name of the cluster.

cloud_providercloud_providerrequired

The cloud provider for the cluster.

Allowed:customawsgcp
statecluster_staterequired

The current lifecycle state of the cluster.

Allowed:UNKOWNREADYDEPLOYEDDEPLOYINGDEPLOY_QUEUEDDEPLOY_ERRORINITIALIZINGINITIALIZEDINITIALIZE_QUEUEDINITIALIZE_ERRORSTOPEDSTOPINGSTOP_QUEUEDSTOP_ERRORRESTARTRESTARTINGRESTART_QUEUEDRESTART_ERROR
created_atstring<date-time>required

The timestamp when the cluster was created.

update_atstring<date-time>required

The timestamp when the cluster was last updated.

deleted_atstring<date-time> | nullrequired

The timestamp when the cluster was deleted updated.

default

Error

codeinteger<int32>required
messagestringrequired
reasonstring

Optional stable machine-readable reason for programmatic error handling

Request
curl -X POST 'https://api.kapten.io/cluster/497f6eca-6276-4993-bfeb-53cbbbba6f08/sync' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "cloud_provider": "aws",
  "created_at": "2025-06-10T22:16:02Z",
  "deleted_at": "2025-06-10T22:16:02Z",
  "id": "7362e0d0-72ed-c77b-5c42-f9af9d52fd5f",
  "name": "zKC",
  "organization_id": "7a60f26d-0106-02f5-ccf5-98b7c4cdc513",
  "state": "INITIALIZED",
  "update_at": "2025-06-10T22:16:02Z"
}

Was this page helpful?